Bug 391165 - Markdown support
Summary: Markdown support
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-27 15:03 UTC by Mike Harris
Modified: 2018-10-15 11:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Harris 2018-02-27 15:03:38 UTC
This is a feature request.

The ability to write in markdown and have it sent formatted as html
Comment 1 Laurent Montel 2018-02-27 21:45:47 UTC
Please explain more this feature and usercase
Thanks
Comment 2 Mike Harris 2018-02-27 23:46:44 UTC
The ability to write markdown emails and when sent converted to html.

You can write html in a message but not for something like embedding code into an email with syntax highlighting like markdown uses `` for code.

Currently the only way to write is either html or rich text.

Adding markdown for composing would be very beneficial.
Comment 3 Laurent Montel 2018-02-28 08:15:21 UTC
Ok I see.

I will look at how to implement it.

Regards.
Comment 4 Laurent Montel 2018-03-08 06:10:07 UTC
I started to implement a plugin which allows to generate html based on mardown language.
I need some days for finishing it.
I am a problem for generating html with inline css...
I think that it will be a big problem.
Comment 5 Julian Wolff 2018-04-07 10:48:40 UTC
(In reply to Laurent Montel from comment #4)
> I started to implement a plugin which allows to generate html based on
> mardown language.
> I need some days for finishing it.
> I am a problem for generating html with inline css...
> I think that it will be a big problem.

Okular is able to convert markdown to html by using "discount": https://phabricator.kde.org/source/okular/browse/master/generators/markdown/converter.cpp;b25979121fd3f28788a2958b0faed250f1d1054c$52
Comment 6 Laurent Montel 2018-04-09 06:00:36 UTC
(In reply to Julian Wolff from comment #5)
> (In reply to Laurent Montel from comment #4)
> > I started to implement a plugin which allows to generate html based on
> > mardown language.
> > I need some days for finishing it.
> > I am a problem for generating html with inline css...
> > I think that it will be a big problem.
> 
> Okular is able to convert markdown to html by using "discount":
> https://phabricator.kde.org/source/okular/browse/master/generators/markdown/
> converter.cpp;b25979121fd3f28788a2958b0faed250f1d1054c$52

Thanks for info.
Comment 7 Laurent Montel 2018-10-12 11:52:12 UTC
Git commit d4a87fd93dd91f61a85dfc8f638336182bca5f16 by Laurent Montel.
Committed on 12/10/2018 at 11:50.
Pushed by mlaurent into branch 'master'.

Allow to create email based on mardown language

M  +5    -2    kmail/editorconvertertextplugins/markdown/markdowninterface.cpp

https://commits.kde.org/kdepim-addons/d4a87fd93dd91f61a85dfc8f638336182bca5f16
Comment 8 Laurent Montel 2018-10-12 11:52:25 UTC
it's mainly implemented in 5.10
Comment 9 Laurent Montel 2018-10-15 11:49:24 UTC
Plugin implemented in 5.10.0